function PhiProb=PhiFunc(x)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PURPOSE:     Computing the ordinate of the cumulative density of the normal distribution
%
% INPUT:       x          (k-by-1)        Vector where the function is evaluated  
%
% OUTPUT:      PhiProb    (k-by-1)        Cumulative normal ordinate
%
% AUTHOR:      Mattias Villani, Research Department, Sveriges Riksbank and
%              Department of Statistics, Stockholm University. 
%              E-mail: mattias.villani@riksbank.se
% 
% 1st VER:     2004-06-30
% REVISED:     2005-02-15   Generalized to the vector case.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


PhiProb=zeros(size(x));
PhiProb(x>0)=erf(x(x>0)/sqrt(2))/2+0.5;
PhiProb(x<=0)=1-(erf(-x(x<=0)/sqrt(2))/2+0.5);
